window.Gleam.initSearch([{"doc":"gleam_community_colour","title":"gleam_community_colour","content":"# gleam-community/colour\n\nA package for a standard Colour type, conversions, and other utilities.\n\n[![Package Version](https://img.shields.io/hexpm/v/gleam_community_colour)](https://hex.pm/packages/gleam_community_colour)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/gleam_community_colour/)\n\n✨ This project is written in pure Gleam so you can use it anywhere Gleam runs: Erlang, Elixir, Node, Deno, and the browser!\n\n---\n\n## Quickstart\n\n```gleam\nimport gleam_community/colour\nimport gleam_community/colour/accessibility\n\npub fn main() {\n  let foreground = colour.from_hsl(h: 0.858, s: 1.0, l: 0.843)\n\n  let background_options = [colour.light_grey, colour.dark_grey]\n\n  let background = accessibility.maximum_contrast(foreground, background_options)\n}\n```\n\n## Installation\n\n`gleam_community` packages are published to [hex.pm](https://hex.pm/packages/gleam_community_colour)\nwith the prefix `gleam_community_`. You can add them to your Gleam projects directly:\n\n```sh\ngleam add gleam_community_colour\n```\n\nThe docs can be found over at [hexdocs.pm](https://hexdocs.pm/gleam_community_colour).\n","url":"index.html"},{"doc":"gleam_community/colour","title":"Color","content":"pub type Color =\n  Colour\n Type alias for `Colour`\n\n &lt;div style=&quot;position: relative;&quot;&gt;\n     &lt;a style=&quot;position: absolute; left: 0;&quot; href=&quot;https://github.com/gleam-community/colour/issues&quot;&gt;\n         &lt;small&gt;Spot a typo? Open an issue!&lt;/small&gt;\n     &lt;/a&gt;\n     &lt;a style=&quot;position: absolute; right: 0;&quot; href=&quot;#&quot;&gt;\n         &lt;small&gt;Back to top ↑&lt;/small&gt;\n     &lt;/a&gt;\n &lt;/div&gt;\n &lt;/br&gt;\n\n\nSynonyms:\ngleam_community/colour.Color\ngleam_community/colour Color","url":"gleam_community/colour.html#Color"},{"doc":"gleam_community/colour","title":"Colour","content":"pub opaque type Colour\n A representation of a colour that can be converted to RGBA or HSLA format.\n\n &lt;div style=&quot;position: relative;&quot;&gt;\n     &lt;a style=&quot;position: absolute; left: 0;&quot; href=&quot;https://github.com/gleam-community/colour/issues&quot;&gt;\n         &lt;small&gt;Spot a typo? Open an issue!&lt;/small&gt;\n     &lt;/a&gt;\n     &lt;a style=&quot;position: absolute; right: 0;&quot; href=&quot;#&quot;&gt;\n         &lt;small&gt;Back to top ↑&lt;/small&gt;\n     &lt;/a&gt;\n &lt;/div&gt;\n &lt;/br&gt;\n\n\nSynonyms:\ngleam_community/colour.Colour\ngleam_community/colour Colour","url":"gleam_community/colour.html#Colour"},{"doc":"gleam_community/colour","title":"black","content":"pub const black: Colour\n A `Colour` reprsenting the colour RGBA(0, 0, 0, 1.0)\nSynonyms:\ngleam_community/colour.black\ngleam_community/colour black","url":"gleam_community/colour.html#black"},{"doc":"gleam_community/colour","title":"blue","content":"pub const blue: Colour\n A `Colour` reprsenting the colour RGBA(52, 101, 164, 1.0)\nSynonyms:\ngleam_community/colour.blue\ngleam_community/colour blue","url":"gleam_community/colour.html#blue"},{"doc":"gleam_community/colour","title":"brown","content":"pub const brown: Colour\n A `Colour` reprsenting the colour RGBA(193, 125, 17, 1.0)\nSynonyms:\ngleam_community/colour.brown\ngleam_community/colour brown","url":"gleam_community/colour.html#brown"},{"doc":"gleam_community/colour","title":"charcoal","content":"pub const charcoal: Colour\n A `Colour` reprsenting the colour RGBA(85, 87, 83, 1.0)\nSynonyms:\ngleam_community/colour.charcoal\ngleam_community/colour charcoal","url":"gleam_community/colour.html#charcoal"},{"doc":"gleam_community/colour","title":"dark_blue","content":"pub const dark_blue: Colour\n A `Colour` reprsenting the colour RGBA(32, 74, 135, 1.0)\nSynonyms:\ngleam_community/colour.dark_blue\ngleam_community/colour dark_blue","url":"gleam_community/colour.html#dark_blue"},{"doc":"gleam_community/colour","title":"dark_brown","content":"pub const dark_brown: Colour\n A `Colour` reprsenting the colour RGBA(143, 89, 2, 1.0)\nSynonyms:\ngleam_community/colour.dark_brown\ngleam_community/colour dark_brown","url":"gleam_community/colour.html#dark_brown"},{"doc":"gleam_community/colour","title":"dark_charcoal","content":"pub const dark_charcoal: Colour\n A `Colour` reprsenting the colour RGBA(46, 52, 54, 1.0)\nSynonyms:\ngleam_community/colour.dark_charcoal\ngleam_community/colour dark_charcoal","url":"gleam_community/colour.html#dark_charcoal"},{"doc":"gleam_community/colour","title":"dark_gray","content":"pub const dark_gray: Colour\n A `Colour` reprsenting the colour RGBA(186, 189, 182, 1.0)\nSynonyms:\ngleam_community/colour.dark_gray\ngleam_community/colour dark_gray","url":"gleam_community/colour.html#dark_gray"},{"doc":"gleam_community/colour","title":"dark_green","content":"pub const dark_green: Colour\n A `Colour` reprsenting the colour RGBA(78, 154, 6, 1.0)\nSynonyms:\ngleam_community/colour.dark_green\ngleam_community/colour dark_green","url":"gleam_community/colour.html#dark_green"},{"doc":"gleam_community/colour","title":"dark_grey","content":"pub const dark_grey: Colour\n A `Colour` reprsenting the colour RGBA(186, 189, 182, 1.0)\nSynonyms:\ngleam_community/colour.dark_grey\ngleam_community/colour dark_grey","url":"gleam_community/colour.html#dark_grey"},{"doc":"gleam_community/colour","title":"dark_orange","content":"pub const dark_orange: Colour\n A `Colour` reprsenting the colour RGBA(206, 92, 0, 1.0)\nSynonyms:\ngleam_community/colour.dark_orange\ngleam_community/colour dark_orange","url":"gleam_community/colour.html#dark_orange"},{"doc":"gleam_community/colour","title":"dark_purple","content":"pub const dark_purple: Colour\n A `Colour` reprsenting the colour RGBA(92, 53, 102, 1.0)\nSynonyms:\ngleam_community/colour.dark_purple\ngleam_community/colour dark_purple","url":"gleam_community/colour.html#dark_purple"},{"doc":"gleam_community/colour","title":"dark_red","content":"pub const dark_red: Colour\n A `Colour` reprsenting the colour RGBA(164, 0, 0, 1.0)\nSynonyms:\ngleam_community/colour.dark_red\ngleam_community/colour dark_red","url":"gleam_community/colour.html#dark_red"},{"doc":"gleam_community/colour","title":"dark_yellow","content":"pub const dark_yellow: Colour\n A `Colour` reprsenting the colour RGBA(196, 160, 0, 1.0)\nSynonyms:\ngleam_community/colour.dark_yellow\ngleam_community/colour dark_yellow","url":"gleam_community/colour.html#dark_yellow"},{"doc":"gleam_community/colour","title":"gray","content":"pub const gray: Colour\n A `Colour` reprsenting the colour RGBA(211, 215, 207, 1.0)\nSynonyms:\ngleam_community/colour.gray\ngleam_community/colour gray","url":"gleam_community/colour.html#gray"},{"doc":"gleam_community/colour","title":"green","content":"pub const green: Colour\n A `Colour` reprsenting the colour RGBA(115, 210, 22, 1.0)\nSynonyms:\ngleam_community/colour.green\ngleam_community/colour green","url":"gleam_community/colour.html#green"},{"doc":"gleam_community/colour","title":"grey","content":"pub const grey: Colour\n A `Colour` reprsenting the colour RGBA(211, 215, 207, 1.0)\nSynonyms:\ngleam_community/colour.grey\ngleam_community/colour grey","url":"gleam_community/colour.html#grey"},{"doc":"gleam_community/colour","title":"light_blue","content":"pub const light_blue: Colour\n A `Colour` reprsenting the colour RGBA(114, 159, 207, 1.0)\nSynonyms:\ngleam_community/colour.light_blue\ngleam_community/colour light_blue","url":"gleam_community/colour.html#light_blue"},{"doc":"gleam_community/colour","title":"light_brown","content":"pub const light_brown: Colour\n A `Colour` reprsenting the colour RGBA(233, 185, 110, 1.0)\nSynonyms:\ngleam_community/colour.light_brown\ngleam_community/colour light_brown","url":"gleam_community/colour.html#light_brown"},{"doc":"gleam_community/colour","title":"light_charcoal","content":"pub const light_charcoal: Colour\n A `Colour` reprsenting the colour RGBA(136, 138, 133, 1.0)\nSynonyms:\ngleam_community/colour.light_charcoal\ngleam_community/colour light_charcoal","url":"gleam_community/colour.html#light_charcoal"},{"doc":"gleam_community/colour","title":"light_gray","content":"pub const light_gray: Colour\n A `Colour` reprsenting the colour RGBA(238, 238, 236, 1.0)\nSynonyms:\ngleam_community/colour.light_gray\ngleam_community/colour light_gray","url":"gleam_community/colour.html#light_gray"},{"doc":"gleam_community/colour","title":"light_green","content":"pub const light_green: Colour\n A `Colour` reprsenting the colour RGBA(138, 226, 52, 1.0)\nSynonyms:\ngleam_community/colour.light_green\ngleam_community/colour light_green","url":"gleam_community/colour.html#light_green"},{"doc":"gleam_community/colour","title":"light_grey","content":"pub const light_grey: Colour\n A `Colour` reprsenting the colour RGBA(238, 238, 236, 1.0)\nSynonyms:\ngleam_community/colour.light_grey\ngleam_community/colour light_grey","url":"gleam_community/colour.html#light_grey"},{"doc":"gleam_community/colour","title":"light_orange","content":"pub const light_orange: Colour\n A `Colour` reprsenting the colour RGBA(252, 175, 62, 1.0)\nSynonyms:\ngleam_community/colour.light_orange\ngleam_community/colour light_orange","url":"gleam_community/colour.html#light_orange"},{"doc":"gleam_community/colour","title":"light_purple","content":"pub const light_purple: Colour\n A `Colour` reprsenting the colour RGBA(173, 127, 168, 1.0)\nSynonyms:\ngleam_community/colour.light_purple\ngleam_community/colour light_purple","url":"gleam_community/colour.html#light_purple"},{"doc":"gleam_community/colour","title":"light_red","content":"pub const light_red: Colour\n A `Colour` reprsenting the colour RGBA(239, 41, 41, 1.0)\nSynonyms:\ngleam_community/colour.light_red\ngleam_community/colour light_red","url":"gleam_community/colour.html#light_red"},{"doc":"gleam_community/colour","title":"light_yellow","content":"pub const light_yellow: Colour\n A `Colour` reprsenting the colour RGBA(255, 233, 79, 1.0)\nSynonyms:\ngleam_community/colour.light_yellow\ngleam_community/colour light_yellow","url":"gleam_community/colour.html#light_yellow"},{"doc":"gleam_community/colour","title":"orange","content":"pub const orange: Colour\n A `Colour` reprsenting the colour RGBA(245, 121, 0, 1.0)\nSynonyms:\ngleam_community/colour.orange\ngleam_community/colour orange","url":"gleam_community/colour.html#orange"},{"doc":"gleam_community/colour","title":"pink","content":"pub const pink: Colour\n A `Colour` reprsenting the colour RGBA(255, 175, 243, 1.0)\nSynonyms:\ngleam_community/colour.pink\ngleam_community/colour pink","url":"gleam_community/colour.html#pink"},{"doc":"gleam_community/colour","title":"purple","content":"pub const purple: Colour\n A `Colour` reprsenting the colour RGBA(117, 80, 123, 1.0)\nSynonyms:\ngleam_community/colour.purple\ngleam_community/colour purple","url":"gleam_community/colour.html#purple"},{"doc":"gleam_community/colour","title":"red","content":"pub const red: Colour\n A `Colour` reprsenting the colour RGBA(204, 0, 0, 1.0)\nSynonyms:\ngleam_community/colour.red\ngleam_community/colour red","url":"gleam_community/colour.html#red"},{"doc":"gleam_community/colour","title":"white","content":"pub const white: Colour\n A `Colour` reprsenting the colour RGBA(255, 255, 255, 1.0)\nSynonyms:\ngleam_community/colour.white\ngleam_community/colour white","url":"gleam_community/colour.html#white"},{"doc":"gleam_community/colour","title":"yellow","content":"pub const yellow: Colour\n A `Colour` reprsenting the colour RGBA(237, 212, 0, 1.0)\nSynonyms:\ngleam_community/colour.yellow\ngleam_community/colour yellow","url":"gleam_community/colour.html#yellow"},{"doc":"gleam_community/colour","title":"decoder","content":"pub fn decoder(\n  json: Dynamic,\n) -&gt; Result(Colour, List(DecodeError))\n Attempt to decode some [`Dynamic`](https://hexdocs.pm/gleam_stdlib/gleam/dynamic.html#Dynamic)\n value into a `Colour`. Most often you&#39;ll use this to decode some JSON.\n\n &lt;div style=&quot;position: relative;&quot;&gt;\n     &lt;a style=&quot;position: absolute; left: 0;&quot; href=&quot;https://github.com/gleam-community/colour/issues&quot;&gt;\n         &lt;small&gt;Spot a typo? Open an issue!&lt;/small&gt;\n     &lt;/a&gt;\n     &lt;a style=&quot;position: absolute; right: 0;&quot; href=&quot;#&quot;&gt;\n         &lt;small&gt;Back to top ↑&lt;/small&gt;\n     &lt;/a&gt;\n &lt;/div&gt;\n\nSynonyms:\ngleam_community/colour.decoder\ngleam_community/colour decoder","url":"gleam_community/colour.html#decoder"},{"doc":"gleam_community/colour","title":"encode","content":"pub fn encode(colour: Colour) -&gt; Json\n Encodes a `Colour` value as a Gleam [`Json`](https://hexdocs.pm/gleam_json/gleam/json.html#Json)\n value. You&#39;ll need this if you want to send a `Colour` value over the network\n in a HTTP request or response, for example.\n\n &lt;div style=&quot;position: relative;&quot;&gt;\n     &lt;a style=&quot;position: absolute; left: 0;&quot; href=&quot;https://github.com/gleam-community/colour/issues&quot;&gt;\n         &lt;small&gt;Spot a typo? Open an issue!&lt;/small&gt;\n     &lt;/a&gt;\n     &lt;a style=&quot;position: absolute; right: 0;&quot; href=&quot;#&quot;&gt;\n         &lt;small&gt;Back to top ↑&lt;/small&gt;\n     &lt;/a&gt;\n &lt;/div&gt;\n\nSynonyms:\ngleam_community/colour.encode\ngleam_community/colour encode","url":"gleam_community/colour.html#encode"},{"doc":"gleam_community/colour","title":"from_hsl","content":"pub fn from_hsl(\n  h hue: Float,\n  s saturation: Float,\n  l lightness: Float,\n) -&gt; Result(Colour, Nil)\n Returns `Result(Colour)` created from the given HSL values.\n\n Returns `Error(Nil)` if the supplied HSL values are greater than 1.0 or less than 0.0.\n\n &lt;details&gt;\n &lt;summary&gt;Example:&lt;/summary&gt;\n\n \n fn example() {\n   assert Ok(red) = from_hsla(0.0, 1.0, 0.5)\n }\n \n &lt;/details&gt;\n\n &lt;div style=&quot;position: relative;&quot;&gt;\n     &lt;a style=&quot;position: absolute; left: 0;&quot; href=&quot;https://github.com/gleam-community/colour/issues&quot;&gt;\n         &lt;small&gt;Spot a typo? Open an issue!&lt;/small&gt;\n     &lt;/a&gt;\n     &lt;a style=&quot;position: absolute; right: 0;&quot; href=&quot;#&quot;&gt;\n         &lt;small&gt;Back to top ↑&lt;/small&gt;\n     &lt;/a&gt;\n &lt;/div&gt;\n\nSynonyms:\ngleam_community/colour.from_hsl\ngleam_community/colour from_hsl","url":"gleam_community/colour.html#from_hsl"},{"doc":"gleam_community/colour","title":"from_hsla","content":"pub fn from_hsla(\n  h hue: Float,\n  s saturation: Float,\n  l lightness: Float,\n  a alpha: Float,\n) -&gt; Result(Colour, Nil)\n Returns `Result(Colour)` created from the given HSLA values.\n\n Returns `Error(Nil)`f the supplied HSLA values are greater than 1.0 or less than 0.0.\n\n &lt;details&gt;\n &lt;summary&gt;Example:&lt;/summary&gt;\n\n \n fn example() {\n   assert Ok(red_half_opacity) = from_hsla(0.0, 1.0, 0.5, 0.5)\n }\n \n &lt;/details&gt;\n\n &lt;div style=&quot;position: relative;&quot;&gt;\n     &lt;a style=&quot;position: absolute; left: 0;&quot; href=&quot;https://github.com/gleam-community/colour/issues&quot;&gt;\n         &lt;small&gt;Spot a typo? Open an issue!&lt;/small&gt;\n     &lt;/a&gt;\n     &lt;a style=&quot;position: absolute; right: 0;&quot; href=&quot;#&quot;&gt;\n         &lt;small&gt;Back to top ↑&lt;/small&gt;\n     &lt;/a&gt;\n &lt;/div&gt;\n\nSynonyms:\ngleam_community/colour.from_hsla\ngleam_community/colour from_hsla","url":"gleam_community/colour.html#from_hsla"},{"doc":"gleam_community/colour","title":"from_rgb","content":"pub fn from_rgb(\n  r red: Float,\n  g green: Float,\n  b blue: Float,\n) -&gt; Result(Colour, Nil)\n Returns `Result(Colour)` created from the given RGB values.\n\n If the supplied RGB values are greater than 1.0 or less than 0.0 returns `Error(Nil)`\n\n &lt;details&gt;\n &lt;summary&gt;Example:&lt;/summary&gt;\n\n \n fn example() {\n   assert Ok(red) = from_rgb(1.0, 0.0, 0.0)\n }\n \n &lt;/details&gt;\n\n &lt;div style=&quot;position: relative;&quot;&gt;\n     &lt;a style=&quot;position: absolute; left: 0;&quot; href=&quot;https://github.com/gleam-community/colour/issues&quot;&gt;\n         &lt;small&gt;Spot a typo? Open an issue!&lt;/small&gt;\n     &lt;/a&gt;\n     &lt;a style=&quot;position: absolute; right: 0;&quot; href=&quot;#&quot;&gt;\n         &lt;small&gt;Back to top ↑&lt;/small&gt;\n     &lt;/a&gt;\n &lt;/div&gt;\n\nSynonyms:\ngleam_community/colour.from_rgb\ngleam_community/colour from_rgb","url":"gleam_community/colour.html#from_rgb"},{"doc":"gleam_community/colour","title":"from_rgb255","content":"pub fn from_rgb255(\n  r red: Int,\n  g green: Int,\n  b blue: Int,\n) -&gt; Result(Colour, Nil)\n Returns a `Result(Colour)` created from the given 8 bit RGB values.\n\n Returns `Error(Nil)` if the supplied RGB values are greater than 255 or less than 0.\n\n &lt;details&gt;\n &lt;summary&gt;Example:&lt;/summary&gt;\n\n \n fn example() {\n   assert Ok(red) = from_rgb255(255, 0, 0)\n }\n \n &lt;/details&gt;\n\n &lt;div style=&quot;position: relative;&quot;&gt;\n     &lt;a style=&quot;position: absolute; left: 0;&quot; href=&quot;https://github.com/gleam-community/colour/issues&quot;&gt;\n         &lt;small&gt;Spot a typo? Open an issue!&lt;/small&gt;\n     &lt;/a&gt;\n     &lt;a style=&quot;position: absolute; right: 0;&quot; href=&quot;#&quot;&gt;\n         &lt;small&gt;Back to top ↑&lt;/small&gt;\n     &lt;/a&gt;\n &lt;/div&gt;\n\nSynonyms:\ngleam_community/colour.from_rgb255\ngleam_community/colour from_rgb255","url":"gleam_community/colour.html#from_rgb255"},{"doc":"gleam_community/colour","title":"from_rgb_hex","content":"pub fn from_rgb_hex(hex: Int) -&gt; Result(Colour, Nil)\n Returns a `Result(Colour)` created from the given hex `Int`.\n\n Returns `Error(Nil)` if the supplied hex `Int is greater than 0xffffff or less than 0x0.\n\n &lt;details&gt;\n &lt;summary&gt;Example:&lt;/summary&gt;\n\n \n fn example() {\n   assert Ok(red) = from_rgb_hex(0xff0000)\n }\n \n &lt;/details&gt;\n\n &lt;div style=&quot;position: relative;&quot;&gt;\n     &lt;a style=&quot;position: absolute; left: 0;&quot; href=&quot;https://github.com/gleam-community/colour/issues&quot;&gt;\n         &lt;small&gt;Spot a typo? Open an issue!&lt;/small&gt;\n     &lt;/a&gt;\n     &lt;a style=&quot;position: absolute; right: 0;&quot; href=&quot;#&quot;&gt;\n         &lt;small&gt;Back to top ↑&lt;/small&gt;\n     &lt;/a&gt;\n &lt;/div&gt;\n\nSynonyms:\ngleam_community/colour.from_rgb_hex\ngleam_community/colour from_rgb_hex","url":"gleam_community/colour.html#from_rgb_hex"},{"doc":"gleam_community/colour","title":"from_rgb_hex_string","content":"pub fn from_rgb_hex_string(\n  hex_string: String,\n) -&gt; Result(Colour, Nil)\n Returns a `Result(Colour)` created from the given RGB hex `String`.\n\n Returns `Error(Nil)` if the supplied hex `String` is invalid, or greater than `&quot;#ffffff&quot; or less than `&quot;#0&quot;`\n\n &lt;details&gt;\n &lt;summary&gt;Example:&lt;/summary&gt;\n\n \n fn example() {\n   assert Ok(red) = from_rgb_hex_string(&quot;#ff0000&quot;)\n }\n \n &lt;/details&gt;\n\n &lt;div style=&quot;position: relative;&quot;&gt;\n     &lt;a style=&quot;position: absolute; left: 0;&quot; href=&quot;https://github.com/gleam-community/colour/issues&quot;&gt;\n         &lt;small&gt;Spot a typo? Open an issue!&lt;/small&gt;\n     &lt;/a&gt;\n     &lt;a style=&quot;position: absolute; right: 0;&quot; href=&quot;#&quot;&gt;\n         &lt;small&gt;Back to top ↑&lt;/small&gt;\n     &lt;/a&gt;\n &lt;/div&gt;\n\nSynonyms:\ngleam_community/colour.from_rgb_hex_string\ngleam_community/colour from_rgb_hex_string","url":"gleam_community/colour.html#from_rgb_hex_string"},{"doc":"gleam_community/colour","title":"from_rgba","content":"pub fn from_rgba(\n  r red: Float,\n  g green: Float,\n  b blue: Float,\n  a alpha: Float,\n) -&gt; Result(Colour, Nil)\n Returns `Result(Colour)` created from the given RGBA values.\n\n Returns `Error(Nil)` if the supplied RGBA values are greater than 1.0 or less than 0.0.\n\n &lt;details&gt;\n &lt;summary&gt;Example:&lt;/summary&gt;\n\n \n fn example() {\n   assert Ok(red_half_opacity) = from_rbga(1.0, 0.0, 0.0, 0.5)\n }\n \n &lt;/details&gt;\n\n &lt;div style=&quot;position: relative;&quot;&gt;\n     &lt;a style=&quot;position: absolute; left: 0;&quot; href=&quot;https://github.com/gleam-community/colour/issues&quot;&gt;\n         &lt;small&gt;Spot a typo? Open an issue!&lt;/small&gt;\n     &lt;/a&gt;\n     &lt;a style=&quot;position: absolute; right: 0;&quot; href=&quot;#&quot;&gt;\n         &lt;small&gt;Back to top ↑&lt;/small&gt;\n     &lt;/a&gt;\n &lt;/div&gt;\n\nSynonyms:\ngleam_community/colour.from_rgba\ngleam_community/colour from_rgba","url":"gleam_community/colour.html#from_rgba"},{"doc":"gleam_community/colour","title":"from_rgba_hex","content":"pub fn from_rgba_hex(hex: Int) -&gt; Result(Colour, Nil)\n Returns a `Result(Colour)` created from the given hex `Int`.\n\n Returns `Error(Nil)` if the supplied hex `Int is greater than 0xffffffff or less than 0x0.\n\n &lt;details&gt;\n &lt;summary&gt;Example:&lt;/summary&gt;\n\n \n fn example() {\n   assert Ok(red_half_opacity) = from_rgba_hex(0xff00007f)\n }\n \n &lt;/details&gt;\n\n &lt;div style=&quot;position: relative;&quot;&gt;\n     &lt;a style=&quot;position: absolute; left: 0;&quot; href=&quot;https://github.com/gleam-community/colour/issues&quot;&gt;\n         &lt;small&gt;Spot a typo? Open an issue!&lt;/small&gt;\n     &lt;/a&gt;\n     &lt;a style=&quot;position: absolute; right: 0;&quot; href=&quot;#&quot;&gt;\n         &lt;small&gt;Back to top ↑&lt;/small&gt;\n     &lt;/a&gt;\n &lt;/div&gt;\n\nSynonyms:\ngleam_community/colour.from_rgba_hex\ngleam_community/colour from_rgba_hex","url":"gleam_community/colour.html#from_rgba_hex"},{"doc":"gleam_community/colour","title":"from_rgba_hex_string","content":"pub fn from_rgba_hex_string(\n  hex_string: String,\n) -&gt; Result(Colour, Nil)\n Returns a `Result(Colour)` created from the given RGBA hex `String`.\n\n Returns `Error(Nil)` if the supplied hex `String` is invalid, or greater than `&quot;#ffffffff&quot; or less than `&quot;#0&quot;`\n\n &lt;details&gt;\n &lt;summary&gt;Example:&lt;/summary&gt;\n\n \n fn example() {\n   assert Ok(red_half_opacity) = from_rgba_hex_string(&quot;#ff00007f&quot;)\n }\n \n &lt;/details&gt;\n\n &lt;div style=&quot;position: relative;&quot;&gt;\n     &lt;a style=&quot;position: absolute; left: 0;&quot; href=&quot;https://github.com/gleam-community/colour/issues&quot;&gt;\n         &lt;small&gt;Spot a typo? Open an issue!&lt;/small&gt;\n     &lt;/a&gt;\n     &lt;a style=&quot;position: absolute; right: 0;&quot; href=&quot;#&quot;&gt;\n         &lt;small&gt;Back to top ↑&lt;/small&gt;\n     &lt;/a&gt;\n &lt;/div&gt;\n\nSynonyms:\ngleam_community/colour.from_rgba_hex_string\ngleam_community/colour from_rgba_hex_string","url":"gleam_community/colour.html#from_rgba_hex_string"},{"doc":"gleam_community/colour","title":"to_css_rgba_string","content":"pub fn to_css_rgba_string(colour: Colour) -&gt; String\n Returns an rgba formatted CSS `String` created from the given `Colour`.\n\n &lt;details&gt;\n &lt;summary&gt;Example:&lt;/summary&gt;\n\n \n fn example() {\n   assert Ok(red) = from_rgb255(255, 0, 0)\n   let css_red = to_css_rgba_string(red)\n }\n \n &lt;/details&gt;\n\n &lt;div style=&quot;position: relative;&quot;&gt;\n     &lt;a style=&quot;position: absolute; left: 0;&quot; href=&quot;https://github.com/gleam-community/colour/issues&quot;&gt;\n         &lt;small&gt;Spot a typo? Open an issue!&lt;/small&gt;\n     &lt;/a&gt;\n     &lt;a style=&quot;position: absolute; right: 0;&quot; href=&quot;#&quot;&gt;\n         &lt;small&gt;Back to top ↑&lt;/small&gt;\n     &lt;/a&gt;\n &lt;/div&gt;\n\nSynonyms:\ngleam_community/colour.to_css_rgba_string\ngleam_community/colour to_css_rgba_string","url":"gleam_community/colour.html#to_css_rgba_string"},{"doc":"gleam_community/colour","title":"to_hsla","content":"pub fn to_hsla(colour: Colour) -&gt; #(Float, Float, Float, Float)\n Returns `#(Float, Float, Float, Float)` representing the given `Colour`&#39;s\n H, S, L, and A values respectively.\n\n &lt;details&gt;\n &lt;summary&gt;Example:&lt;/summary&gt;\n\n \n fn example() {\n   assert Ok(red) = from_rgb255(255, 0, 0)\n   let #(h, s, l, a) = to_hsla(red)\n }\n \n &lt;/details&gt;\n\n &lt;div style=&quot;position: relative;&quot;&gt;\n     &lt;a style=&quot;position: absolute; left: 0;&quot; href=&quot;https://github.com/gleam-community/colour/issues&quot;&gt;\n         &lt;small&gt;Spot a typo? Open an issue!&lt;/small&gt;\n     &lt;/a&gt;\n     &lt;a style=&quot;position: absolute; right: 0;&quot; href=&quot;#&quot;&gt;\n         &lt;small&gt;Back to top ↑&lt;/small&gt;\n     &lt;/a&gt;\n &lt;/div&gt;\n\nSynonyms:\ngleam_community/colour.to_hsla\ngleam_community/colour to_hsla","url":"gleam_community/colour.html#to_hsla"},{"doc":"gleam_community/colour","title":"to_rgb_hex","content":"pub fn to_rgb_hex(colour: Colour) -&gt; Int\n Returns a rgb hex `Int` created from the given `Colour`.\n\n &lt;details&gt;\n &lt;summary&gt;Example:&lt;/summary&gt;\n\n \n fn example() {\n   assert Ok(red) = from_rgba(255, 0, 0)\n   let red_hex_int = to_rgb_hex(red)\n }\n \n &lt;/details&gt;\n\n &lt;div style=&quot;position: relative;&quot;&gt;\n     &lt;a style=&quot;position: absolute; left: 0;&quot; href=&quot;https://github.com/gleam-community/colour/issues&quot;&gt;\n         &lt;small&gt;Spot a typo? Open an issue!&lt;/small&gt;\n     &lt;/a&gt;\n     &lt;a style=&quot;position: absolute; right: 0;&quot; href=&quot;#&quot;&gt;\n         &lt;small&gt;Back to top ↑&lt;/small&gt;\n     &lt;/a&gt;\n &lt;/div&gt;\n\nSynonyms:\ngleam_community/colour.to_rgb_hex\ngleam_community/colour to_rgb_hex","url":"gleam_community/colour.html#to_rgb_hex"},{"doc":"gleam_community/colour","title":"to_rgb_hex_string","content":"pub fn to_rgb_hex_string(colour: Colour) -&gt; String\n Returns an rgb hex formatted `String` created from the given `Colour`.\n\n &lt;details&gt;\n &lt;summary&gt;Example:&lt;/summary&gt;\n\n \n fn example() {\n   assert Ok(red) = from_rgba(255, 0, 0)\n   let red_hex = to_rgb_hex_string(red)\n }\n \n &lt;/details&gt;\n\n &lt;div style=&quot;position: relative;&quot;&gt;\n     &lt;a style=&quot;position: absolute; left: 0;&quot; href=&quot;https://github.com/gleam-community/colour/issues&quot;&gt;\n         &lt;small&gt;Spot a typo? Open an issue!&lt;/small&gt;\n     &lt;/a&gt;\n     &lt;a style=&quot;position: absolute; right: 0;&quot; href=&quot;#&quot;&gt;\n         &lt;small&gt;Back to top ↑&lt;/small&gt;\n     &lt;/a&gt;\n &lt;/div&gt;\n\nSynonyms:\ngleam_community/colour.to_rgb_hex_string\ngleam_community/colour to_rgb_hex_string","url":"gleam_community/colour.html#to_rgb_hex_string"},{"doc":"gleam_community/colour","title":"to_rgba","content":"pub fn to_rgba(colour: Colour) -&gt; #(Float, Float, Float, Float)\n Returns `#(Float, Float, Float, Float)` representing the given `Colour`&#39;s\n R, G, B, and A values respectively.\n\n &lt;details&gt;\n &lt;summary&gt;Example:&lt;/summary&gt;\n\n \n fn example() {\n   assert Ok(red) = from_rgb255(255, 0, 0)\n   let #(r, g, b, a) = to_rgba(red)\n }\n \n &lt;/details&gt;\n\n &lt;div style=&quot;position: relative;&quot;&gt;\n     &lt;a style=&quot;position: absolute; left: 0;&quot; href=&quot;https://github.com/gleam-community/colour/issues&quot;&gt;\n         &lt;small&gt;Spot a typo? Open an issue!&lt;/small&gt;\n     &lt;/a&gt;\n     &lt;a style=&quot;position: absolute; right: 0;&quot; href=&quot;#&quot;&gt;\n         &lt;small&gt;Back to top ↑&lt;/small&gt;\n     &lt;/a&gt;\n &lt;/div&gt;\n\nSynonyms:\ngleam_community/colour.to_rgba\ngleam_community/colour to_rgba","url":"gleam_community/colour.html#to_rgba"},{"doc":"gleam_community/colour","title":"to_rgba_hex","content":"pub fn to_rgba_hex(colour: Colour) -&gt; Int\n Returns an hex `Int` created from the given `Colour`.\n\n &lt;details&gt;\n &lt;summary&gt;Example:&lt;/summary&gt;\n\n \n fn example() {\n   assert Ok(red) = from_rgba(1.0, 0.0, 0.0, 1.0)\n   let red_hex_int = to_rgba_hex(red)\n }\n \n &lt;/details&gt;\n\n &lt;div style=&quot;position: relative;&quot;&gt;\n     &lt;a style=&quot;position: absolute; left: 0;&quot; href=&quot;https://github.com/gleam-community/colour/issues&quot;&gt;\n         &lt;small&gt;Spot a typo? Open an issue!&lt;/small&gt;\n     &lt;/a&gt;\n     &lt;a style=&quot;position: absolute; right: 0;&quot; href=&quot;#&quot;&gt;\n         &lt;small&gt;Back to top ↑&lt;/small&gt;\n     &lt;/a&gt;\n &lt;/div&gt;\n\nSynonyms:\ngleam_community/colour.to_rgba_hex\ngleam_community/colour to_rgba_hex","url":"gleam_community/colour.html#to_rgba_hex"},{"doc":"gleam_community/colour","title":"to_rgba_hex_string","content":"pub fn to_rgba_hex_string(colour: Colour) -&gt; String\n Returns an rgba hex formatted `String` created from the given `Colour`.\n\n &lt;details&gt;\n &lt;summary&gt;Example:&lt;/summary&gt;\n\n \n fn example() {\n   assert Ok(red) = from_rgba(1.0, 0.0, 0.0, 1.0)\n   let red_hex = to_rgba_hex_string(red)\n }\n \n &lt;/details&gt;\n\n &lt;div style=&quot;position: relative;&quot;&gt;\n     &lt;a style=&quot;position: absolute; left: 0;&quot; href=&quot;https://github.com/gleam-community/colour/issues&quot;&gt;\n         &lt;small&gt;Spot a typo? Open an issue!&lt;/small&gt;\n     &lt;/a&gt;\n     &lt;a style=&quot;position: absolute; right: 0;&quot; href=&quot;#&quot;&gt;\n         &lt;small&gt;Back to top ↑&lt;/small&gt;\n     &lt;/a&gt;\n &lt;/div&gt;\n\nSynonyms:\ngleam_community/colour.to_rgba_hex_string\ngleam_community/colour to_rgba_hex_string","url":"gleam_community/colour.html#to_rgba_hex_string"},{"doc":"gleam_community/colour","title":"gleam_community/colour","content":"\n - **Types**\n   - [`Colour`](#Colour)\n   - [`Color`](#Color)\n - **Constructors**\n   - [`from_rgb255`](#from_rgb255)\n   - [`from_rgb`](#from_rgb)\n   - [`from_rgba`](#from_rgba)\n   - [`from_hsl`](#from_hsl)\n   - [`from_hsla`](#from_hsla)\n   - [`from_rgb_hex`](#from_rgb_hex)\n   - [`from_rgba_hex`](#from_rgba_hex)\n   - [`from_rgb_hex_string`](#from_rgb_hex_string)\n   - [`from_rgba_hex_string`](#from_rgba_hex_string)\n - **Conversions**\n   - [`to_rgba`](#to_rgba)\n   - [`to_hsla`](#hsla)\n   - [`to_css_rgba_string`](#to_css_rgba_string)\n   - [`to_rgba_hex_string`](#to_rgba_hex_string)\n   - [`to_rgb_hex_string`](#to_rgb_hex_string)\n   - [`to_rgba_hex`](#to_rgba_hex)\n   - [`to_rgb_hex`](#to_rgb_hex)\n - **JSON**\n   - [`encode`](#encode)\n   - [`decoder`](#decoder)\n - **Colours**\n   - [`light_red`](#light_red)\n   - [`red`](#red)\n   - [`dark_red`](#dark_red)\n   - [`light_orange`](#light_orange)\n   - [`orange`](#orange)\n   - [`dark_orange`](#dark_orange)\n   - [`light_yellow`](#light_yellow)\n   - [`yellow`](#yellow)\n   - [`dark_yellow`](#dark_yellow)\n   - [`light_green`](#light_green)\n   - [`green`](#green)\n   - [`dark_green`](#dark_green)\n   - [`light_blue`](#light_blue)\n   - [`blue`](#blue)\n   - [`dark_blue`](#dark_blue)\n   - [`light_purple`](#light_purple)\n   - [`purple`](#purple)\n   - [`dark_purple`](#dark_purple)\n   - [`light_brown`](#light_brown)\n   - [`brown`](#brown)\n   - [`dark_brown`](#dark_brown)\n   - [`black`](#black)\n   - [`white`](#white)\n   - [`light_grey`](#light_grey)\n   - [`grey`](#grey)\n   - [`dark_grey`](#dark_grey)\n   - [`light_gray`](#light_gray)\n   - [`gray`](#gray)\n   - [`dark_gray`](#dark_gray)\n   - [`light_charcoal`](#light_charcoal)\n   - [`charcoal`](#charcoal)\n   - [`dark_charcoal`](#dark_charcoal)\n   - [`pink`](#pink)\n\n ---\n\n This package was heavily inspired by the `elm-color` module.\n The original source code can be found\n &lt;a href=&quot;https://github.com/avh4/elm-color/&quot;&gt;here&lt;/a&gt;.\n\n &lt;details&gt;\n &lt;summary&gt;The license of that package is produced below:&lt;/summary&gt;\n\n\n &gt; MIT License\n\n &gt; Copyright 2018 Aaron VonderHaar\n\n &gt; Redistribution and use in source and binary forms, with or without modification,\n are permitted provided that the following conditions are met:\n\n   1. Redistributions of source code must retain the above copyright notice,\n    this list of conditions and the following disclaimer.\n\n   2. Redistributions in binary form must reproduce the above copyright notice,\n    this list of conditions and the following disclaimer in the documentation\n    and/or other materials provided with the distribution.\n\n   3. Neither the name of the copyright holder nor the names of its contributors\n    may be used to endorse or promote products derived from this software without\n    specific prior written permission.\n\n &gt; THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS &quot;AS IS&quot; AND\n ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES\n OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL\n THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,\n EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS\n OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY\n THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)\n ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\n &gt; The above copyright notice and this permission notice shall be included in all\n copies or substantial portions of the Software.\n &lt;/details&gt;\n","url":"gleam_community/colour.html"},{"doc":"gleam_community/colour/accessibility","title":"contrast_ratio","content":"pub fn contrast_ratio(\n  between colour_a: Colour,\n  and colour_b: Colour,\n) -&gt; Float\n Returns the contrast between two `Colour` values as a `Float` between 1.0,\n and 21.0 with 1.0 being no contrast and, 21.0 being the highest possible contrast.\n\n &lt;details&gt;\n &lt;summary&gt;Example:&lt;/summary&gt;\n\n \n fn example() {\n   contrast_ratio(between: colour.white, and: colour.black) // 21.0\n }\n \n &lt;/details&gt;\n\n &lt;div style=&quot;position: relative;&quot;&gt;\n     &lt;a style=&quot;position: absolute; left: 0;&quot; href=&quot;https://github.com/gleam-community/colour/issues&quot;&gt;\n         &lt;small&gt;Spot a typo? Open an issue!&lt;/small&gt;\n     &lt;/a&gt;\n     &lt;a style=&quot;position: absolute; right: 0;&quot; href=&quot;#&quot;&gt;\n         &lt;small&gt;Back to top ↑&lt;/small&gt;\n     &lt;/a&gt;\n &lt;/div&gt;\n\nSynonyms:\ngleam_community/colour/accessibility.contrast_ratio\ngleam_community/colour/accessibility contrast_ratio","url":"gleam_community/colour/accessibility.html#contrast_ratio"},{"doc":"gleam_community/colour/accessibility","title":"luminance","content":"pub fn luminance(colour: Colour) -&gt; Float\n Returns the relative brightness of the given `Colour` as a `Float` between\n 0.0, and 1.0 with 0.0 being the darkest possible colour and 1.0 being the lightest.\n\n &lt;details&gt;\n &lt;summary&gt;Example:&lt;/summary&gt;\n\n \n fn example() {\n   luminance(colour.white) // 1.0\n }\n \n &lt;/details&gt;\n\n &lt;div style=&quot;position: relative;&quot;&gt;\n     &lt;a style=&quot;position: absolute; left: 0;&quot; href=&quot;https://github.com/gleam-community/colour/issues&quot;&gt;\n         &lt;small&gt;Spot a typo? Open an issue!&lt;/small&gt;\n     &lt;/a&gt;\n     &lt;a style=&quot;position: absolute; right: 0;&quot; href=&quot;#&quot;&gt;\n         &lt;small&gt;Back to top ↑&lt;/small&gt;\n     &lt;/a&gt;\n &lt;/div&gt;\n\nSynonyms:\ngleam_community/colour/accessibility.luminance\ngleam_community/colour/accessibility luminance","url":"gleam_community/colour/accessibility.html#luminance"},{"doc":"gleam_community/colour/accessibility","title":"maximum_contrast","content":"pub fn maximum_contrast(\n  base: Colour,\n  colours: List(Colour),\n) -&gt; Result(Colour, Nil)\n Returns the `Colour` with the highest contrast between the base `Colour`,\n and and the other provided `Colour` values.\n\n &lt;details&gt;\n &lt;summary&gt;Example:&lt;/summary&gt;\n\n \n fn example() {\n   maximum_contrast(\n    colour.yellow,\n    [colour.white, colour.dark_blue, colour.green],\n  )\n }\n \n &lt;/details&gt;\n\n &lt;div style=&quot;position: relative;&quot;&gt;\n     &lt;a style=&quot;position: absolute; left: 0;&quot; href=&quot;https://github.com/gleam-community/colour/issues&quot;&gt;\n         &lt;small&gt;Spot a typo? Open an issue!&lt;/small&gt;\n     &lt;/a&gt;\n     &lt;a style=&quot;position: absolute; right: 0;&quot; href=&quot;#&quot;&gt;\n         &lt;small&gt;Back to top ↑&lt;/small&gt;\n     &lt;/a&gt;\n &lt;/div&gt;\n\nSynonyms:\ngleam_community/colour/accessibility.maximum_contrast\ngleam_community/colour/accessibility maximum_contrast","url":"gleam_community/colour/accessibility.html#maximum_contrast"},{"doc":"gleam_community/colour/accessibility","title":"gleam_community/colour/accessibility","content":" \n - **Accessibility**\n   - [`luminance`](#luminance)\n   - [`contrast_ratio`](#contrast_ratio)\n   - [`maximum_contrast`](#maximum_contrast)\n\n ---\n\n This package was heavily inspired by the `elm-color-extra` module.\n The original source code can be found\n &lt;a href=&quot;https://github.com/noahzgordon/elm-color-extra&quot;&gt;here&lt;/a&gt;.\n\n &lt;details&gt;\n &lt;summary&gt;The license of that package is produced below:&lt;/summary&gt;\n \n \n &gt; MIT License\n\n &gt; Copyright (c) 2016 Andreas Köberle\n\n &gt; Permission is hereby granted, free of charge, to any person obtaining a copy\n of this software and associated documentation files (the &quot;Software&quot;), to deal\n in the Software without restriction, including without limitation the rights\n to use, copy, modify, merge, publish, distribute, sublicense, and/or sell\n copies of the Software, and to permit persons to whom the Software is\n furnished to do so, subject to the following conditions:\n\n &gt; The above copyright notice and this permission notice shall be included in all\n copies or substantial portions of the Software.\n\n &gt; THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,\n OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE\n SOFTWARE.\n\n &lt;/details&gt;\n","url":"gleam_community/colour/accessibility.html"}]);